<?
 /*SCRIPT PARA MANTENIMIENTO DE CARGOS A ALUMNOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
 /*E-DUCATIVO HTTP://WWW.E-DUCATIVO.COM/ */
 
  include("../fnc.php");
  enlinea_a();

  if($f=="sin_impresion" && !isset($txtfechadep)){
    alert("Ingrese una fecha de depósito válida","$goback");
  }

  $mfdep=explode("/",$txtfechadep);

  if($f=="sin_impresion" && (!checkdate($mfdep[1],$mfdep[0],$mfdep[2]))){
    alert("Ingrese una fecha de depósito válida","$goback");
  }

  if($f=="sin_impresion" && empty($txtdep)){
    alert("Debe ingresar el número de boleta de depósito","$goback");
  }

  //if($f=="sin_impresion"){
    $txtfechadep=$mfdep[2]."-".$mfdep[1]."-".$mfdep[0];
  //}

  $total_cobro=0.00;

  for($i=1;$i<=$imax;$i++){
   $tmpvabono="txtvabono$i";
   $tmp="txtcargo$i";
   if($$tmpvabono>0){
     $total_cobro+=$$tmpvabono;
   }
  }

if($total_cobro<=0){
 alert("Debe seleccionar un detalle a pagar","frm_cp_pagov2.php?txtalumno=$txtcarnet");
 exit();
}

//validación de la boleta de depósito
if(!empty($txtdep)){
$qverdep=mysql_query("select * from cp_recibos
                      where dp='$txtdep'");
                      
 if(mysql_num_rows($qverdep)>0){
  $iverdep=mysql_fetch_array($qverdep);
  alert("El número de boleta $txtdep ya fue operado.\\n".get_talonario($iverdep[tipo])." Docto. #".$iverdep[numero]." Fecha:".fecha($iverdep[fecha]),"frm_cp_pagov2.php?txtndoc=$txtndoc&txtiddoc=$txttalonario&f=$f&txtalumno=$txtcarnet&txtfechadoc=$txtfechadoc&txtobs=$txtobs");
 }
}//validación de boleta de depósito


if($txtvef+$txtvchq+$txtvdep+$txtvtc+$txtvvale <> $total_cobro){
  alert("La forma de pago no coincide con el total del cobro ".moneda($total_cobro,"Q"),"javascript:history.go(-1)");
}



 if($f=="sin_impresion"){
   $next_rec="$txtdep";
   $txttalonario="4";
   $txtfechadoc=$txtfechadep;
 }else{
   $next_rec=$txtndoc;
   $tmpfdoc=explode("/",$txtfechadoc);
   $txtfechadoc=$tmpfdoc[2]."-".$tmpfdoc[1]."-".$tmpfdoc[0]." $hora";
 }

 $qdatosrec=mysql_query("select factura_nit as nit,
                         factura_nombre as nombre_fc,
                         factura_direccion as direccion_fc
                         from alumnos
                         where carnet='$txtcarnet'");

  if(mysql_num_rows($qdatosrec)==0){
    alert("El alumno no existe","$goback");
  }else{
    $idatosrec=mysql_fetch_array($qdatosrec);
  }

  if(!$txtfechadep){
      $txtfechadep="0000-00-00";
  }else{
     // $tmpfdp=explode("/",$txtfechadep);
      //$txtfechadep=$tmpfdp[2]."-".$tmpfdp[1]."-".$tmpfdp[0];
  }

  //validación de documento ya existente
  $qverdocto=mysql_query("select * from cp_recibos where numero='$next_rec' and tipo='$txttalonario'");
  if(mysql_num_rows($qverdocto)>0){
    alert("El documento $next_rec ya existe!\n\n","frm_cp_formapago.php");
  }
  //fin de validación de documento ya existente
  
  $sql_ins_rec="insert into cp_recibos
                set numero='$next_rec',
                fecha='$txtfechadoc',
                carnet='$txtcarnet',
                nombre='{$idatosrec[nombre_fc]}',
                nit='{$idatosrec[nit]}',
                total='$total_cobro',
                vtc='$txtvtc',
                tc='$txttc',
                vdp='$txtvdep',
                dp='$txtdep',
                ef='$txtvef',
                fdp='$txtfechadep',
                vchq='$txtvchq',
                chq='$txtchq',
                tipo='$txttalonario',
                obs='$txtobs',
                vvale='$txtvvale',
                vale='$txtvale',
                fecha_trn='$fechahora',
                usuario='$uuser'";

//  echo $sql_ins_rec;
  $qins_recibo=mysql_query($sql_ins_rec) or die("ERROR:".mysql_error()."<HR>$sql_ins_rec");

  for($i=1;$i<=$imax;$i++){
   $tmp="txtcargo$i";
   $tmpvabono="txtvabono$i";
   if($$tmpvabono>0){
   $valordelabono=$$tmpvabono;
  //echo "<p>".$txtcargo[$i]."->".$txtvalor[$i]."-> ID {$txtidc[$i]}<br>";
   $qdescargo=mysql_query("select descripcion from cp_cargos where id = {$txtidc[$i]}");
   $infocargo=mysql_fetch_array($qdescargo);
   $sql_upd_cargos="update cp_cargos
                    set fecha_pago = '$txtfechadoc',
                    saldo = saldo - $valordelabono,
                    documento='$next_rec',
                    tipo_doc='$txttalonario',
                    fecha_trn='$fechahora',
                    usuario_cobra='$uuser'
                    where id = '{$txtidc[$i]}'";

  //echo $sql_upd_cargos."<br>";
   $query_det_cargo=mysql_query($sql_upd_cargos);
   $sql_det_rec="insert into cp_detalle_recibos
                 set numero_doc='$next_rec',
                 tipo_doc='$txttalonario',
                 id_cargo='{$txtidc[$i]}',
                 valor='$valordelabono',
                 descripcion='{$infocargo[descripcion]}',
                 cantidad=1";
   $query_det_rec=mysql_query($sql_det_rec);
   echo mysql_error();
   }
  }

  // hacer que actualice los depositos del banco
  if($f!="sin_impresion"){
   $qupdcorrelativo=mysql_query("update cp_talonarios
                                 set correlativo = $next_rec
                                 where id = $txttalonario");
  }

  $qtalonario=mysql_query("select * from cp_talonarios where id = $txttalonario") or die(mysql_error());
  $infot=mysql_fetch_array($qtalonario);
  if($f=="sin_impresion"){
   alert("Los pagos fueron operados con éxito","frm_cp_formapago.php");
  }else{
   header("Location: ./frame_recibo_all.php?idr=$next_rec&rpt={$infot[formulario]}&tipo=$txttalonario");
  }
  exit();
?>
